lwIP 2.1.2 Lightweight IP stack

Functions
Ethernet
APIs » "raw" APIs

## Functions
err_t | ethernet_output (struct netif *netif, struct pbuf *p, const struct eth_addr *src, const struct eth_addr *dst, u16_t eth_type)

## Detailed Description

## Function Documentation

## ◆ ethernet_output()

err_t ethernet_output | ( | struct netif * | netif,
|  | struct pbuf * | p,
|  | const struct eth_addr * | src,
|  | const struct eth_addr * | dst,
|  | u16_t | eth_type
| ) |  |

Send an ethernet packet on the network using netif->linkoutput(). The ethernet header is filled in before sending.

See also
  LWIP_HOOK_VLAN_SET

Parameters

  netif | the lwIP network interface on which to send the packet
  p | the packet to send. pbuf layer must be PBUF_LINK.
  src | the source MAC address to be copied into the ethernet header
  dst | the destination MAC address to be copied into the ethernet header
  eth_type | ethernet type (lwip_ieee_eth_type)

Returns
  ERR_OK if the packet was sent, any other err_t on failure